Subject: bug#31276: 27.0.50; "Spurious" empty first line from before-string

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Apr 2018 17:07:10 +0300

> Date: Sat, 28 Apr 2018 17:04:09 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> >     GNU Emacs
> > 
> >     hello
> >     NEWS ...
> > 
> > i.e. I get a *really* spurious line.  This one is clearly a bug.
> 
> Is it?  The overlay string starts with a newline, and that's what you
> see here.  Buffer position 11 is the 'N' of NEWS, and you asked Emacs
> to prepend "\nhello\n" to that, which it did.  The newline after
> "Emacs", which comes from the buffer text, is still visible.  So why
> is this a bug?

Answering myself: there's no newline after "Emacs".  So yes, this is a
spurious empty line.  I will see why that happens.